#!/bin/bash

set -euo pipefail

SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"

# download the sos binary
SOS="${SCRIPT_DIR}/temp/sos"
mkdir -p "${SCRIPT_DIR}/temp"

curl -L -o "${SOS}" https://getbin.xyz/sos/sos
chmod +x "${SOS}"


# upload the dropshell-build script
"${SOS}" upload "getbin.xyz" "dropshell-build" "${SCRIPT_DIR}/src/dropshell-build"

# upload the install requirements script
"${SOS}" upload "getbin.xyz" "dropshell-build-install-requirements" "${SCRIPT_DIR}/src/install_dropshell_build_requirements"


# tag and push the dropshell-build image
echo "Tagging and pushing the dropshell-build image"

docker tag gitea.jde.nz/public/dropshell-build:test gitea.jde.nz/public/dropshell-build:latest

docker push gitea.jde.nz/public/dropshell-build:latest


# clean up
rm -rf "${SCRIPT_DIR}/temp"
echo "Done"